/*	Willows Software, Inc. - Feb 1996	*/
/*	"@(#)CommStubs.c	1.3 :/users/sccs/src/win/library/mac/s.CommStubs.c 7/23/96 14:27:03" */

/*************************************************
* Temporary Comm port stubs
*************************************************/

#include "windows.h"

int     WINAPI BuildCommDCB(LPCSTR device, DCB FAR *lpdcb)			{return(0);}
int     WINAPI OpenComm(LPCSTR device, UINT cbInQueue, UINT cbOutQueue)				{return(0);}
int     WINAPI CloseComm(int fd)										{return(0);}

int     WINAPI ReadComm(int idComDev, void FAR *lpvBuf, int cbRead)				{return(0);}
int     WINAPI WriteComm(int idComDev, const void *lpvBuf, int cbWrite)		{return(0);}
int     WINAPI UngetCommChar(int idComDev, char chUnget)						{return(0);}
int     WINAPI FlushComm(int idComDev, int fnQueue)									{return(0);}
int     WINAPI TransmitCommChar(int fd, char chTransmit)					{return(0);}

int     WINAPI SetCommState(const DCB FAR *lpdcb)				{return(0);}
int     WINAPI GetCommState(int idComDev, DCB FAR *lpdcb)					{return(0);}
int     WINAPI GetCommError(int idComDev, COMSTAT FAR *lpStat)		{return(0);}

int     WINAPI SetCommBreak(int fd)									{return(0);}
int     WINAPI ClearCommBreak(int fd)								{return(0);}

UINT FAR* WINAPI SetCommEventMask(int idComDev, UINT fuEvtMask)			{return(0);}
UINT    WINAPI GetCommEventMask(int fd, int fnEvtClear)					{return(0);}

LONG    WINAPI EscapeCommFunction(int idComDev, int nFunction)				{return(0);}
BOOL    WINAPI EnableCommNotification(int idComDev, HWND hWnd, int cbWriteNotify, int cbOutQue) {return(FALSE);}
